MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
MPQC::IntegralEvaluator2_impl Class Reference

Symbol "MPQC.IntegralEvaluator2" (version 0.2) More...

`#include <MPQC_IntegralEvaluator2_Impl.hh>`

## Public Member Functions
| IntegralEvaluator2_impl (struct MPQC_IntegralEvaluator2__object *s)
void | _ctor ()
void | _dtor ()
void | set_integral_package (const ::std::string &label) throw ()
| user defined non-static method.
void | initialize (::Chemistry::QC::GaussianBasis::Molecular bs1,::Chemistry::QC::GaussianBasis::Molecular bs2, const ::std::string &label, int64_t max_deriv) throw ()
| Initialize the evaluator. More...
void * | get_buffer () throw ()
| Get the buffer pointer. More...
void | set_derivcenters (::Chemistry::QC::GaussianBasis::DerivCenters dc) throw ()
| Allows a DerivCenters object to be passed to an evaluator, so that derivatives can be taken with respect to a specified atom (needed for derivatives with non-Hellman-Feynman contributions).
void | compute (int64_t shellnum1, int64_t shellnum2, int64_t deriv_level,::Chemistry::QC::GaussianBasis::DerivCenters deriv_ctr) throw ()
| Compute a shell doublet of integrals. More...
::sidl::array< double > | compute_array (int64_t shellnum1, int64_t shellnum2, int64_t deriv_level,::Chemistry::QC::GaussianBasis::DerivCenters deriv_ctr) throw ()
| Compute a shell doublet of integrals and return as a borrowed sidl array. More...

## Static Public Member Functions
static void | _load ()

## Detailed Description

Symbol "MPQC.IntegralEvaluator2" (version 0.2)

IntegralEvaluator2_impl implements a class interface for supplying 2-center molecular integrals.

This is an implementation of a SIDL interface. The stub code is generated by the Babel tool. Do not make modifications outside of splicer blocks, as these will be lost. This is a server implementation for a Babel class, the Babel client code is provided by the cca-chem-generic package.

## Member Function Documentation

void MPQC::IntegralEvaluator2_impl::compute | ( | int64_t | shellnum1,
|  | int64_t | shellnum2,
|  | int64_t | deriv_level,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | deriv_ctr
| ) |  | throw ()

Compute a shell doublet of integrals.

Parameters

  shellnum1 | Gaussian shell number 1.
  shellnum2 | Gaussian shell number 2.
  deriv_level | Derivative level.
  deriv_ctr | Derivative center descriptor.

::sidl::array<double> MPQC::IntegralEvaluator2_impl::compute_array | ( | int64_t | shellnum1,
|  | int64_t | shellnum2,
|  | int64_t | deriv_level,
|  | ::Chemistry::QC::GaussianBasis::DerivCenters | deriv_ctr
| ) |  | throw ()

Compute a shell doublet of integrals and return as a borrowed sidl array.

Parameters

  shellnum1 | Gaussian shell number 1.
  shellnum2 | Gaussian shell number 2.
  deriv_level | Derivative level.
  deriv_ctr | Derivative center descriptor.

Returns
  Borrowed sidl array buffer.

void* MPQC::IntegralEvaluator2_impl::get_buffer | ( |  | ) | throw ()

Get the buffer pointer.

Returns
  Buffer pointer

void MPQC::IntegralEvaluator2_impl::initialize | ( | ::Chemistry::QC::GaussianBasis::Molecular | bs1,
|  | ::Chemistry::QC::GaussianBasis::Molecular | bs2,
|  | const ::std::string & | label,
|  | int64_t | max_deriv
| ) |  | throw ()

Initialize the evaluator.

Parameters

  bs1 | Molecular basis on center 1.
  bs2 | Molecular basis on center 2.
  label | String specifying integral type.
  max_deriv | Max derivative to compute.

The documentation for this class was generated from the following file:

- MPQC_IntegralEvaluator2_Impl.hh